Update document version status
Publish an existing draft version or move an archived version back into draft/published state. Use `/versions/{versionId}/activate` after publishing to make…
Publish an existing draft version or move an archived version back into draft/published state.
Use /versions/{versionId}/activate after publishing to make a version the promoted default.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Document ID
Format
uuidversionId*string
Version ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "status": "draft" }'{ "success": true, "data": { "version": { "id": "b9db1e63-3c9c-4b37-a1b1-29d9a7df0a46", "key": "draft_1714502400000", "name": "Q2 Refresh", "status": "published", "is_active": false, "date_created": "2025-04-30T09:30:00Z", "date_updated": "2025-05-01T08:15:00Z", "modified_fields": [ "description", "file" ] } }}How is this guide?